Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00317 Graphics Minor Have not tried Jan 28, 2008, 05:54 Jul 8, 2015, 12:39
Tester -Misc Reporters- View Status Public Platform
Assigned To Mamesick Resolution Fixed OS
Status [?] Resolved Driver seta.cpp
Version 0.105u3 Fixed in Version 0.164 Build
Summary 00317: daioh: On the attract mode screen with the earth down, there is a glitchy line at the bottom and the explosion is glitched.
Description Let it run through the attract mode and on the screen with the earth down, the there is a glitchy line at the bottom (from the robot behind the earth as it moves up I think). And the big explosion is glitchy (like half of it is missing). The line looks to be the background layer(s) showing through. Both of these are present in 92u2000 btw.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.65
Affected Sets / Systems daioh
Attached Files
png file icon daioh0105u3gre.png (127,004 bytes) Feb 14, 2008, 08:41
Relationships
There are no relationsihp linked to this issue.
Notes
7
User avatar
No.08808
haynor666
Tester
Jul 17, 2012, 08:57
edited on: Jul 17, 2012, 09:02
After adding second set:

set 1 is bad
set 2 is ok

Notice that letter in set 2 ar 1 pixel higher

Might be game bug

User avatar
No.08815
AWJ
Developer
Jul 18, 2012, 03:16
The layer alignment is different in the clone set, but it's not because of any differences between the sets themselves, it's because the table of per-game layer adjustments in video/seta.c is missing the clone.

The flickering of the big bomb explosion happens in both sets and looks exactly the same in both, as far as I can tell.
User avatar
No.08817
Haze
Senior Tester
Jul 18, 2012, 13:21
the alignments in seta.c need revisiting after the video implementation was merged with the other seta drivers anyway, there is a bug for this.. keep in mind that the correct alignment for other parts of the game might be producing that line tho.

the flickering explosion I think is just because they exceeded the sprite limits.
User avatar
No.08818
AWJ
Developer
Jul 18, 2012, 22:17
This isn't a regression, though; it's always been like that since the game was added.

If you adjust the alignment to fix the intro (making the planet line up with the bottom of the screen), then it breaks the crosshatch screen in test mode; this is noted in the source.
User avatar
No.11628
haynor666
Tester
Apr 24, 2015, 19:18
edited on: Apr 24, 2015, 19:19
After some additions:
main set - bad
PCB conversion - ok
earlier - bad
prototype - ok

Tested on planet title screen

User avatar
No.11745
system11
Senior Tester
Jun 10, 2015, 21:23
Side note - the PCB conversion version (actually it's a Chinese board which may qualify as a boot, but it's not a conversion) is actually derived from the prototype code, so it's not surprising those two behave the same.
User avatar
No.11856
Mamesick
Senior Tester
Jul 8, 2015, 12:39
Fixed the planet glitch.